SpaceImmutable (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2.impl, class: SpaceImmutable

Package ch.systemsx.cisd.etlserver.registrator.api.v2.impl

# Class SpaceImmutable

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.SpaceImmutable

All Implemented Interfaces:
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISpaceImmutable`

Direct Known Subclasses:
  `Space`

public class SpaceImmutable extends Object implements ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISpaceImmutable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SpaceImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Space space)`
  `SpaceImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Space space, boolean isExistingSpace)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `checkExists()`
  Throw an exception if the project does not exist
  `String`
  `getDescription()`
  `String`
  `getIdentifier()`
  `ch.systemsx.cisd.openbis.generic.shared.basic.dto.Space`
  `getSpace()`
  `String`
  `getSpaceCode()`
  `boolean`
  `isExistingSpace()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SpaceImmutable

    public SpaceImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Space space)

  - ### SpaceImmutable

    public SpaceImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Space space, boolean isExistingSpace)

- ## Method Details

  - ### getSpaceCode

    public String getSpaceCode()
    Specified by:
      `getSpaceCode` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISpaceImmutable`

  - ### getDescription

    public String getDescription()
    Specified by:
      `getDescription` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISpaceImmutable`

  - ### isExistingSpace

    public boolean isExistingSpace()
    Specified by:
      `isExistingSpace` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISpaceImmutable`

  - ### checkExists

    protected void checkExists()
    Throw an exception if the project does not exist

  - ### getSpace

    public ch.systemsx.cisd.openbis.generic.shared.basic.dto.Space getSpace()

  - ### getIdentifier

    public String getIdentifier()
    Specified by:
      `getIdentifier` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISpaceImmutable`